Bug 380971 - modprobe.conf.dist misses alias for i2c-dev + FIX
Summary: modprobe.conf.dist misses alias for i2c-dev + FIX
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: module-init-tools   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Jon Masters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-13 20:50 UTC by Hans de Goede
Modified: 2008-04-04 15:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 15:27:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hans de Goede 2007-11-13 20:50:40 UTC
Description of problem:
I've been working on packaging i2c-tools, see bug 380951 for the review. Most of
the tools in i2c-tools, need i2c-dev to be loaded, after some discussion on
fedora-devel-list, the conclusion was that this is best done by creating the
/dev/i2c-# device nodes statically by adding them under /lib/udev/devices, and
then using kmod to load i2c-dev as needed.

In order for this to work an alias for i2c-dev is needed in modprobe.conf.dist,
please add the following line to modprobe.conf.dist:
alias char-major-89-* i2c-dev

Comment 1 Hans de Goede 2008-02-26 20:44:12 UTC
Erm, this big is trivial to fix, yet highly annoying to people who want to use
i2c-tools, ping?


Comment 2 Hans de Goede 2008-03-11 12:09:43 UTC
Hello, pingi di pingi pong, this bug is trivial to fix, so ... ping again?


Comment 3 Hans de Goede 2008-04-04 09:37:56 UTC
I'm sorry todo this, but this is _really_ trivial to fix, yet no response at
all. So please consider this your first ping (of 2) in the light of the AWOL
maintainer policy:
http://fedoraproject.org/wiki/PackageMaintainers/Policy/NonResponsiveMaintainers


Comment 4 Hans de Goede 2008-04-04 09:55:12 UTC
I just noticed a different email address of yours in the rawhide report, trying
to add that to the CC hoping you do read bugzilla mails there ...

Comment 5 Jon Masters 2008-04-04 15:23:48 UTC
Yeah, for some reason BZ has the jonathan@jonmasters.org address too, but
really, I use jcm@redhat.com for Bugzilla. Thanks.

Comment 6 Jon Masters 2008-04-04 15:27:53 UTC
This is now available in module-init-tools releases after
module-init-tools-3_4-10_fc9


Note You need to log in before you can comment on or make changes to this bug.